commit:     043a2c9257b679678ad2ef2fa2aa77e350b8cdcd
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 26 09:22:01 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Dec 26 09:22:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=043a2c92

dev-ruby/prism: avoid rake-compiler

Closes: https://bugs.gentoo.org/946915
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/prism/prism-1.3.0.ebuild | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

diff --git a/dev-ruby/prism/prism-1.3.0.ebuild 
b/dev-ruby/prism/prism-1.3.0.ebuild
index cadb8ee377ec..6b7255c8b8aa 100644
--- a/dev-ruby/prism/prism-1.3.0.ebuild
+++ b/dev-ruby/prism/prism-1.3.0.ebuild
@@ -21,15 +21,12 @@ LICENSE="MIT"
 SLOT="$(ver_cut 1)"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos 
~x64-solaris"
 
-# all_ruby_prepare() {
-#      sed -e "s:_relative ':'./:" \
-#              -i ${RUBY_FAKEGEM_GEMSPEC} || die
-# }
+all_ruby_prepare() {
+       # Avoid a dependency on rake-compiler
+       sed -e '/PRISM_FFI_BACKEND/ s/$/ and false/' \
+               -i Rakefile || die
+}
 
 each_ruby_prepare() {
        ${RUBY} -S rake templates || die
 }
-
-# each_ruby_test() {
-#      ${RUBY} -Ilib:.:test/reline -rhelper -e 
'Dir["test/**/test_*.rb"].each{|f| require f}' || die
-# }

Reply via email to